PHPExcel_Reader_Excel5_MD5

category | PHPExcel
package | PHPExcel_Reader_Excel5
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## MD5 stream constructor

    __construct()

## Add data to context

    add(string $data)

### Parameters

#### $data

`string`

Data to add

## Get MD5 stream context

    getContext() : string

### Returns

`string`

## Reset the MD5 stream context

    reset()

## F()

    F($X, $Y, $Z)

Static

### Parameters

#### $X

#### $Y

#### $Z

## G()

    G($X, $Y, $Z)

Static

### Parameters

#### $X

#### $Y

#### $Z

## H()

    H($X, $Y, $Z)

Static

### Parameters

#### $X

#### $Y

#### $Z

## I()

    I($X, $Y, $Z)

Static

### Parameters

#### $X

#### $Y

#### $Z

## rotate()

    rotate($decimal, $bits)

Static

### Parameters

#### $decimal

#### $bits

## step()

    step($func, $A, $B, $C, $D, $M, $s, $t)

Static

### Parameters

#### $func

#### $A

#### $B

#### $C

#### $D

#### $M

#### $s

#### $t

### Properties

##

    $a

##

    $b

##

    $c

##

    $d